XMAG(1)

NAME
xmag - magnify parts of the screen

SYNOPSIS
xmag [-option ...]

DESCRIPTION

The xmag program allows you to magnify portions of the screen. If no explicit region is specified, a square centered around the pointer is displayed indicating the area to be enlarged. Once a region has been selected, a window is popped up showing a blown up version of the region in which each pixel in the source image is represented by a small square of the same color. Pressing Button1 on the pointer in the enlargement window pops up a small window displaying the position, number, and RGB value of the pixel under the pointer until the button is released. Pressing the space bar or any other pointer button removes the enlarged image so that another region may be selected. Pressing ``q'', ``Q'', or ``^C'' in the enlargement window exits the program.

OPTIONS

-display display
    This option specifies the X server to use for both reading the screen and displaying the enlarged version of the image.

-geometry geom
    This option specifies the size and/or location of the enlargement window. By default, the size is computed from the size of the source region and the desired magnification. Therefore, only one of -source size and -mag magfactor options may be specified if a window size is given with this option.

-source geom
    This option specifies the size and/or location of the source region on the screen. By default, a 64x64 square centered about the pointer is provided for the user to select an area of the screen. The size of the source is used with the desired magnification to compute the default enlargement window size. Therefore, only one of -geometry size and -mag magfactor options may be specified if a source size is given with this option.

-mag magfactor
    This option specifies an integral factor by which the source region should be enlarged. The default magnification is 5. This is used with the size of the source to compute the default enlargement window size. Therefore, only one of -geometry size and -source geom options may be specified if a magnification factor is given with this option.

-bw pixels
    This option specifies the width in pixels of the border surrounding the enlargement window.

-bd color
    This option specifies the color to use for the border surrounding the enlargement window.

-bg colororpixelvalue
    This option specifies the name of the color to be used as the background of the enlargement window. If the name begins with a percent size (%), it is interpreted to be an absolute pixel value. This is useful when displaying large areas since pixels that are the same color as the background do not need to be painted in the enlargement. The default is to use the BlackPixel of the screen.

-fn fontname
    This option specifies the name of a font to use when displaying pixel values (used when Button1 is pressed in the enlargement window).

-z  This option indicates that the server should be grabbed during the dynamics and the call to XGetImage. This is useful for ensuring that clients don't change their state as a result of entering or leaving them with the pointer.

X DEFAULTS
The xmag program uses the following X resources:

geometry (class Geometry)
    Specifies the size and/or location of the enlargement window.

source (class Source)
    Specifies the size and/or location of the source region on the screen.

magnification (class Magnification)
    Specifies the enlargement factor.

borderWidth (class BorderWidth)
    Specifies the border width in pixels.

borderColor (class BorderColor)
    Specifies the color of the border.

background (class Background)
    Specifies the color or pixel value to be used for the background of the enlargement window.

font (class Font)
    Specifies the name of the font to use when displaying pixel values when the user presses Button1 in the enlargement window.

SEE ALSO
X(1), xwd(1)

BUGS

This program will behave strangely on displays that support windows of different depths.

Because the window size equals the source size times the magnification, you only need to specify two of the three parameters. This can be confusing.

Being able to drag the pointer around and see a dynamic display would be very nice.

Another possible interface would be for the user to drag out the desired area to be enlarged.

COPYRIGHT
Copyright 1988, Massachusetts Institute of Technology.

AUTHOR
Jim Fulton, MIT X Consortium